=== debian/control ===
Source: python-plyvel
Section: python
Priority: optional
Maintainer: Romain Acciari <romain.acciari@openio.io>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-all-dev, python-setuptools, cython, libleveldb-dev, python-pytest
Standards-Version: 3.9.5
Homepage: https://github.com/wbolster/plyvel

Package: python-plyvel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to the LevelDB embedded database library
 Plyvel is a fast and feature-rich Python interface to the LevelDB embedded
 database library. It has a rich feature set, high performance, and a friendly
 Pythonic API.
